E-MailRelay

Public Member Functions | List of all members
GStore::MessageDelivery Class Referenceabstract

An interface to deliver a message to its local recipients' mailboxes. More...

`#include <gmessagedelivery.h>`

Inheritance diagram for GStore::MessageDelivery:
[legend]

## Public Member Functions
virtual bool | deliver (const MessageId &, bool is_new)=0
| Delivers a new or locked message to its local recipients' mailboxes. More...
virtual | ~MessageDelivery ()=default
| Destructor.

## Detailed Description

An interface to deliver a message to its local recipients' mailboxes.

This interface is typically used to implement a delivery filter:

struct Filter : GSmtp::Filter {
void start( MessageId ) override ;
MessageDelivery* m_delivery ;
...
} ;
void Filter::start( MessageId id )
{
assert( m_filter_type == Filter::Type::server ) ;
m_delivery->deliver( id ) ;
m_timer.startTimer( 0 ) ;
}
GSmtp::Filter
An interface for processing a message file through a filter.
Definition: gfilter.h:51

Definition at line 51 of file gmessagedelivery.h.

## Member Function Documentation

## ◆ deliver()

virtual bool GStore::MessageDelivery::deliver | ( | const MessageId & | ,
|  | bool | is_new
| ) |  |
| pure virtual

Delivers a new or locked message to its local recipients' mailboxes.

Does nothing if there are no local recipients. If all the recipients are local then the message might be removed from the store. Returns true iff the message has been removed.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gstore/gmessagedelivery.h